Bug 67300 - XLS and XLSX - 2D pie ends up as 3D
Summary: XLS and XLSX - 2D pie ends up as 3D
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.1.0.3 rc
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
QA Contact:
URL:
Whiteboard: target:4.3.0 target:4.2.0.0.beta2 tar...
Keywords: bibisected, regression
: 68187 71987 (view as bug list)
Depends on:
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2013-07-25 12:52 UTC by Michael Meeks
Modified: 2015-12-15 22:21 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
chart document (10.36 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-07-25 12:52 UTC, Michael Meeks
Details
simple pie chart (14.44 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-11-18 03:30 UTC, Kevin Suo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2013-07-25 12:52:26 UTC
Created attachment 82996 [details]
chart document

Load the attached document in MS Office and LibreOffice I guess :-)
Comment 1 retired 2013-11-16 17:09:46 UTC
Valid for 4.1.3.2 and Version: 4.2.0.0.alpha1+
Build ID: 868103846b9b32bfecd77c08055fdca69d0265c2
TinderBox: MacOSX-x86@48-TDF, Branch:master, Time: 2013-11-14_23:51:46
Comment 2 Kevin Suo 2013-11-18 03:25:28 UTC
Same issue in .xls file so changing the title.
Confirm in LO 6.1.3.2 ubuntu 13.10 x86.

Steps to re-produce:
1. Create a spreadsheet file with the folling value:
ITEMS	SCORE
ITEM 1	10
ITEM 2	20
ITEM 3	70
insert a pie chart (no 3d look) and save as ods. (Or just open the attached ods file)
When reopen, chart is OK without 3d look.
2. Save as xls or xlsx file and reopen, chart becomes 3d look.
3. Open the above xls or xlsx in MS OFFICE, chart is flat. So LO renders the flat chart as 3d in error.

Expected: LO opens the flat pie chart as flat;

Current behaviour: LO opens the flat pie chart as 3D.

Other chart types not tested yet.
Comment 3 Kevin Suo 2013-11-18 03:30:59 UTC
Created attachment 89382 [details]
simple pie chart

The world's most simple pie chart. 
When save as xls or xlsx and reopen in LO, it shows 3d look.
Comment 4 Kevin Suo 2013-11-18 03:33:07 UTC
The most interesting is:

When I change the attached pie chart as 3D and save as xlsx, reopen, LO shows FLAT look!

What a funny bug.
Comment 5 Kevin Suo 2013-11-18 03:35:04 UTC
*** Bug 68187 has been marked as a duplicate of this bug. ***
Comment 6 Kevin Suo 2013-11-18 03:46:29 UTC
> The most interesting is:
> 
> When I change the attached pie chart as 3D and save as xlsx, reopen, LO
> shows FLAT look!
> 
> What a funny bug.

and, when save as 3D pie chart and reopen in MS OFFICE 2010, the chart is broken!
Comment 7 Jacques Guilleron 2013-11-28 00:48:26 UTC
*** Bug 71987 has been marked as a duplicate of this bug. ***
Comment 8 Commit Notification 2013-12-01 01:21:40 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b0d5b7cb08148a53ff7f64c48f52a3291b7a0c3

fix validation error for OOXML chart export, related fdo#67300



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2013-12-01 01:22:59 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=666ef5425e4e7e1a01c3dddbd0d847fec193176a&h=libreoffice-4-2

fix validation error for OOXML chart export, related fdo#67300


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Joel Madero 2013-12-01 01:36:38 UTC
a72833796a7e527d9efc9ca6d8fe9b579e469105 is the first bad commit
commit a72833796a7e527d9efc9ca6d8fe9b579e469105
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Oct 17 05:16:54 2013 +0000

    source-hash-1472b5f87314fe660ef1a7b254e51272669f12f6
    
    commit 1472b5f87314fe660ef1a7b254e51272669f12f6
    Author:     Alia Almusaireae <almusaireae@kacst.edu.sa>
    AuthorDate: Mon May 6 09:11:30 2013 +0300
    Commit:     Bosdonnat Cedric <cedric.bosdonnat@free.fr>
    CommitDate: Mon May 13 15:12:01 2013 +0000
    
        zoomandviewlayout.ui widget
    
        Change-Id: I8d607a5960ffc3c69ffa97ca3e2ebae555044581
        Reviewed-on: https://gerrit.libreoffice.org/3794
        Reviewed-by: Bosdonnat Cedric <cedric.bosdonnat@free.fr>
        Tested-by: Bosdonnat Cedric <cedric.bosdonnat@free.fr>

:100644 100644 b3d561c5462e2082e8239a025b32f49179640532 3054ac942c5d4b65fec372169cf9a5cf3c8b1f32 M	autogen.log
:100644 100644 6128b74db3cb1f6c27b1a45c50f7c153ff97a258 e407fbaabbe6f6ff899f60b6c361ac957a64c045 M	ccache.log
:100644 100644 edebfbdcc3e04b63975a647dc7c0b96c150fbbd0 a9ad80935f7065b3323e9f96d191a888839923ef M	commitmsg
:100644 100644 809776d76c5acff63ae05acc840151ed3d6c838f 9d4891958550c345355ce51538d22d0bf9417611 M	dev-install.log
:100644 100644 6568832225733800f0f023ebbe299e1af2ffa2d7 9066bd3d8d2d22fa93737a7c071da2c6ef04d83a M	make.log
:040000 040000 2f51c32806a14b911a2cd80cfe103e8d9b000711 d881f8f7d4858f58d394c03c09f66a630c11dd57 M	opt



# bad: [25428b1e953636f74986622c5df614f04c150ed1] source-hash-cb4e009c4539c535108021934e545194b35cad9d
# good: [f0f6c65eb764f0303f59c58d320e9b0d5a894377] source-hash-4b9740b4ec3987e1d4d2ad6d20b4dcf996a4fa2e
git bisect start 'latest' 'oldest'
# bad: [a72833796a7e527d9efc9ca6d8fe9b579e469105] source-hash-1472b5f87314fe660ef1a7b254e51272669f12f6
git bisect bad a72833796a7e527d9efc9ca6d8fe9b579e469105
# good: [4300c48268179afe8db66410fad04436183407cd] source-hash-753310b7db6a36aeaae36cef3bfca970e9310569
git bisect good 4300c48268179afe8db66410fad04436183407cd
# good: [1a525dcbdb43f56df149158521461b80a18ea7ae] source-hash-d74ba0c4147f33abd9d0c03883cc88f15e160ee5
git bisect good 1a525dcbdb43f56df149158521461b80a18ea7ae
# good: [4294231337c5c7579d74a9435f293e932e430669] source-hash-f48a576ff2c4f2ebd20b681d0c9b8233fe674a9d
git bisect good 4294231337c5c7579d74a9435f293e932e430669
# good: [c14b26cc77301ae4aa36b0f3ff6e4316b7512a93] source-hash-688f72e3a2c3ef923389bbd21f6aea3afe1114db
git bisect good c14b26cc77301ae4aa36b0f3ff6e4316b7512a93
# good: [dcf68dd69abe6fdb62067b8ef54aff92a514f7b3] source-hash-ee8323e2280c72eb5cc9ec0257164154b2580a78
git bisect good dcf68dd69abe6fdb62067b8ef54aff92a514f7b3
# good: [316920739efd363071a0a442f5c5205d19cf2961] source-hash-923312f67fbf120158f01c2c0e588af38fc22364
git bisect good 316920739efd363071a0a442f5c5205d19cf2961
# good: [cd2a9b0ca71d170ef9ad05825b6be26cf1709604] source-hash-2ede6c95e6481c92cc199e7d74fd36c841636304
git bisect good cd2a9b0ca71d170ef9ad05825b6be26cf1709604
Comment 11 Commit Notification 2013-12-01 01:47:56 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=120dca2608a23f70b7ab8fc658a10123eb08e58a

fix 2D vs 3D coordinatesystem regression, fdo#67300



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2013-12-01 01:48:15 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=80373a6969fd8d3c19231041e465372cf03f53f2&h=libreoffice-4-2

fix 2D vs 3D coordinatesystem regression, fdo#67300


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Markus Mohrhard 2013-12-01 01:52:21 UTC
Pending review as https://gerrit.libreoffice.org/#/c/6880/
Comment 14 Commit Notification 2013-12-01 11:11:59 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=578ff4dfd6f0d63670dfb21425b6b81fdc87d852&h=libreoffice-4-1

fix 2D vs 3D coordinatesystem regression, fdo#67300


It will be available in LibreOffice 4.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2013-12-01 11:13:18 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=90674ac8a975b16389d9b32016f3ef605a702079&h=libreoffice-4-1

fix validation error for OOXML chart export, related fdo#67300


It will be available in LibreOffice 4.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 retired 2013-12-02 11:32:28 UTC
Fix verified in Version: 4.3.0.0.alpha0+
Build ID: a14cfd3d77104aee3e3c3d981a135161295197df
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2013-12-02_04:42:54
Comment 17 Robinson Tryon (qubit) 2015-12-15 22:21:19 UTC Comment hidden (obsolete)